1. Festivals
Festival API
  • Health
    • Health check
      GET
  • Festivals
    • List festivals
      GET
    • Get festival detail
      GET
    • Get top scored festivals
      GET
  • Rosters
    • Get festival roster
      GET
  • Categories
    • List categories
      GET
  • Countries
    • List available countries
      GET
  • Schemas
    • HealthResponse
    • FestivalListEntry
    • FestivalListResponse
    • FestivalDetail
    • FestivalRosterResponse
    • CategoryListResponse
    • CountryListResponse
    • CountryItem
    • ErrorResponse
  1. Festivals

List festivals

GET
https://festivalapi.com/v1/festivals/
Search and filter festivals. Returns paginated results with query, country, category, genre, deadline range, fee max, submission platform, and submission platform filters.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Festival list.
Bodyapplication/json

🟠401
🟠402
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://festivalapi.com/v1/festivals/?q=&country=&category=&genre=&deadline_before=&deadline_after=&event_date_before=&fee_max=&submission_platform=&sort=&page=&per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_pages": 0,
    "results": [
        {
            "id": 0,
            "name": "string",
            "year": 0,
            "country": "string",
            "city": "string",
            "state": "string",
            "categories": [
                "string"
            ],
            "genres": [
                "string"
            ],
            "deadline_regular": "2019-08-24",
            "deadline_late": "2019-08-24",
            "event_start_date": "2019-08-24",
            "event_dates": "string",
            "regular_fee": 0,
            "submission_platforms": [
                "string"
            ],
            "website": "http://example.com",
            "composite_score": 0
        }
    ]
}
Modified at 2026-07-14 22:16:25
Previous
Health check
Next
Get festival detail
Built with